[project]
name = "{{project_name}}"
authors = [
    {name = "{{author_name}}", email = "{{author_email}}"}
]
description = "{{short_description}}"
{%- if project_is_open_source %}
license = {text = "GNU Lesser General Public License v3"}
{%- endif %}
classifiers = [
{%- if project_is_open_source %}
    "License :: OSI Approved :: GNU Lesser General Public License v3 (LGPLv3)",
{%- endif %}
    "Intended Audience :: Science/Research",
    "Topic :: Scientific/Engineering",
    "Operating System :: POSIX :: Linux",
    "Operating System :: MacOS",
    "Operating System :: Microsoft :: Windows",
    "Programming Language :: Python :: 3 :: Only",
    "Programming Language :: Python :: 3.9",
    "Programming Language :: Python :: 3.10",
    "Programming Language :: Python :: 3.11",
    "Programming Language :: Python :: 3.12",
]
dynamic = ["version"]
requires-python = ">=3.9, <3.13"
dependencies = [
    "gemseo[all] >={{gemseo_min_version}},<{{ gemseo_min_version.split('.')[0]|int + 1 }}",
]

[project.optional-dependencies]
test = [
    "covdefaults",
    "pytest <9",
    "pytest-cov",
    "pytest-xdist",
]
doc = [
    "black",
    "griffe-inherited-docstrings",
    "markdown-exec[ansi]",
    "mike",
    "mkdocs-bibtex",
    "mkdocs-gallery",
    "mkdocs-gen-files",
    "mkdocs-include-markdown-plugin",
    "mkdocs-literate-nav",
    "mkdocs-material",
    "mkdocs-section-index",
    "mkdocstrings[python]",
]

[project.urls]
{%- if project_is_open_source %}
Homepage = "https://gitlab.com/gemseo"
Source = "https://gitlab.com/gemseo/dev/{{project_name}}"
Tracker = "https://gitlab.com/gemseo/dev/{{project_name}}/-/issues"
{%- else %}
Homepage = "https://www.irt-saintexupery.com"
{%- endif %}

[project.readme]
file = "README.md"
content-type = "text/markdown"

{%- if package_is_a_gemseo_plugin %}

[project.entry-points]
gemseo_plugins = { {{project_name}} = "{{project_slug}}" }
{%- endif %}

[build-system]
requires = [
    "setuptools",
    "setuptools_scm[toml]",
]
build-backend = "setuptools.build_meta"

[tool.setuptools_scm]

{%- if project_is_open_source %}

[tool.setuptools]
license-files = [
    "LICENSE.txt",
    "CREDITS.md",
]
{%- endif %}
